## pyside-mobility 0.2-0maemo4

=== QtMobility/Bearer/CMakeLists.txt ===
project(Bearer)

set(Bearer_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/bearer_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_bearer_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworkconfigurationmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworkconfigurationmanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworkconfiguration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworkconfiguration_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworksession_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworksession_wrapper.h
)

set(Bearer_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_BEARER_INCLUDE_DIR}
)

set(Bearer_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_BEARER_LIBRARY}
)

CREATE_PYSIDE_MODULE(Bearer
                     ${QT_MOBILITY_BEARER_INCLUDE_DIR}
                     Bearer_SRC
                     Bearer_INCLUDE_DIRECTORIES
                     Bearer_LINK_LIBRARIES)

=== QtMobility/Location/CMakeLists.txt ===
project(Location)

if (${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 1)
    set (QtLocation_11_SRC )
else()
    set (QtLocation_11_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoaddress_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoaddress_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoboundingarea_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoboundingarea_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoboundingbox_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoboundingbox_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoboundingcircle_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoboundingcircle_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomaneuver_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomaneuver_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapcircleobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapcircleobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapdata_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapdata_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapgroupobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapgroupobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapobjectinfo_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapobjectinfo_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapoverlay_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomapoverlay_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappingmanager_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappingmanager_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappingmanagerengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappingmanagerengine_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappixmapobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappixmapobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappolygonobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappolygonobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappolylineobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomappolylineobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomaprectangleobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomaprectangleobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomaprouteobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomaprouteobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomaptextobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeomaptextobject_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoplace_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoplace_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroute_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroute_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroutereply_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroutereply_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeorouterequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeorouterequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroutesegment_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroutesegment_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroutingmanager_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroutingmanager_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroutingmanagerengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoroutingmanagerengine_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosearchmanager_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosearchmanager_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosearchmanagerengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosearchmanagerengine_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosearchreply_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosearchreply_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoserviceprovider_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoserviceprovider_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoserviceproviderfactory_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoserviceproviderfactory_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeotiledmapdata_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeotiledmapdata_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeotiledmappingmanagerengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeotiledmappingmanagerengine_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeotiledmapreply_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeotiledmapreply_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeotiledmaprequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeotiledmaprequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgraphicsgeomap_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgraphicsgeomap_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmark_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmark_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkabstractrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkabstractrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkattributefilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkattributefilter_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkboxfilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkboxfilter_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategory_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategory_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryfetchbyidrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryfetchbyidrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryfetchrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryfetchrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryfilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryfilter_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryid_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryid_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryidfetchrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryidfetchrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryremoverequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategoryremoverequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategorysaverequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkcategorysaverequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkexportrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkexportrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkfetchbyidrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkfetchbyidrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkfetchrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkfetchrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkfilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkfilter_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkid_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkid_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkidfetchrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkidfetchrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkidfilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkidfilter_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkimportrequest_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkimportrequest_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkintersectionfilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkintersectionfilter_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkmanager_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkmanager_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkmanagerengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkmanagerengine_wrapper.h
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qlandmarkmanagerenginefactory_wrapper.cpp

=== debian/changelog ===
pyside-mobility (0.2-0maemo4) unstable; urgency=low

  * Now building with PySide 0.4.2 and Qt4.7.
    + Disabled QtBearer module.
    + Renamed packages to python-qtmobility.<module>

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Wed, 27 Oct 2010 20:56:29 +0000

=== debian/control ===
Source: pyside-mobility
Section: python
Priority: optional
Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 0.5.1), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.5.1), python-pyside (>= 0.4.2), libpyside-dev (>= 0.4.0)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: python-qtmobility
Replaces: pyside-mobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: python-qtmobility-dbg
Replaces: pyside-mobility-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: python-qtmobility.contacts
Replaces: pyside-mobility-contacts
Provides:pyside-mobility-contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: python-qtmobility.location
Replaces: pyside-mobility-location
Provides:pyside-mobility-location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: python-qtmobility.messaging
Replaces: pyside-mobility-messaging
Provides:pyside-mobility-messaging
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui, python-pyside.qtxml
Description: Qt Mobility Messaging module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Messaging module.

Package: python-qtmobility.publishsubscribe
Replaces: pyside-mobility-publishsubscribe
Provides:pyside-mobility-publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork, python-pyside.qtxml
Description: Qt Mobility Publish and Subscribe module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Publish and Subscribe module.

Package: python-qtmobility.sensors
Replaces: pyside-mobility-sensors
Provides:pyside-mobility-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: python-qtmobility.serviceframework
Replaces: pyside-mobility-serviceframework
Provides:pyside-mobility-serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: python-qtmobility.systeminfo
Replaces: pyside-mobility-systeminfo
Provides:pyside-mobility-systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtnetwork
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: python-qtmobility.versit
Replaces: pyside-mobility-versit
Provides:pyside-mobility-versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtgui, python-qtmobility.contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find Qt 4.6 on Maemo
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --buildsystem=cmake --parallel $@

LDFLAGS="-Wl,--reduce-memory-overheads"

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)


#### CONFIGURE ####

override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure_dbg-%) $(PYVERSIONS:%=override_dh_auto_configure-%)
	
override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure --builddirectory=build-$*-dbg -- \
        -DCMAKE_BUILD_TYPE:STRING="Debug" \
        -DCMAKE_SKIP_RPATH=true \
        -DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
        -DCMAKE_PYTHON_VERSION="$*-dbg;$*" \
        -DCMAKE_PYTHONLIB_VERSION="$*_d;$*" \
        -DCMAKE_DEBUG_POSTFIX=_d \
        -DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
        -DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)


override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake/" \
	-DCMAKE_PYTHON_VERSION=$* \
	-DCMAKE_PYTHONLIB_VERSION=$* \
	-DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
	-DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)

#### BUILD ####

override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build_dbg-%) $(PYVERSIONS:%=override_dh_auto_build-%)
	
override_dh_auto_build_dbg-%:
	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	        dh_auto_build --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install_dbg-%) $(PYVERSIONS:%=override_dh_auto_install-%)
	
override_dh_auto_install_dbg-%:
	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	        dh_auto_install --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip --dbg-package=python-qtmobility-dbg --exclude=_d.so
		
#### TEST ####

override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)
	
override_dh_auto_test_dbg-%:
	- dh_auto_test --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	- dh_auto_test --builddirectory=build-$*

#### CLEAN ####

override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_real

override_dh_install_first:
	# Move the debug .so's right in place
	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
       	debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*.so)

override_dh_install_real: override_dh_install_first
	# Do the legacy install
	dh_install --list-missing

## pyside-mobility 0.2-0maemo5

=== debian/changelog ===
pyside-mobility (0.2-0maemo5) unstable; urgency=low

  * Version bump to work with latest PySide1.0~beta1 release.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Thu,  2 Dec 2010 16:21:31 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
-Build-Depends: debhelper7, cmake (>= 2.6.0), python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 0.5.1), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.5.1), python-pyside (>= 0.4.2), libpyside-dev (>= 0.4.0)
+Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 0.5.1), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.5.1), python-pyside (>= 0.4.2), libpyside-dev (>= 0.4.0)
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
 Homepage: http://www.pyside.org/
 
 Package: python-qtmobility
 Replaces: pyside-mobility
+Provides: pyside-mobility
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 python-qtmobility.contacts (>= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PATH
 
 %:
-	dh --buildsystem=cmake --parallel $@
+	dh --with quilt --buildsystem=cmake --parallel $@
 
 LDFLAGS="-Wl,--reduce-memory-overheads"

## pyside-mobility 0.2.0-0maemo1

=== QtMobility/Gallery/CMakeLists.txt ===
project(Gallery)

set(Gallery_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/gallery_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_gallery_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qabstractgallery_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qabstractgallery_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qdocumentgallery_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qdocumentgallery_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryabstractrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryabstractrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryabstractresponse_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryabstractresponse_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryintersectionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryintersectionfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryunionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryunionfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerymetadatafilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerymetadatafilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryitemrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryitemrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryproperty_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryproperty_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryquerymodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryquerymodel_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryqueryrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryqueryrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryresource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryresource_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryresultset_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgalleryresultset_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerytype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerytype_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerytyperequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Gallery/qtmobility_qgallerytyperequest_wrapper.h
)

set(Gallery_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTGUI_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_GALLERY_INCLUDE_DIR}
)

set(Gallery_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTGUI_LIBRARY}
${QT_MOBILITY_GALLERY_LIBRARY}
)

CREATE_PYSIDE_MODULE(Gallery
                     ${QT_MOBILITY_GALLERY_INCLUDE_DIR}
                     Gallery_SRC
                     Gallery_INCLUDE_DIRECTORIES
                     Gallery_LINK_LIBRARIES)

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fix upstream version to 0.2.0
  * Rebuild against pyside beta2

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 28 Dec 2010 17:20:32 -0300

## pyside-mobility 0.2.0-0maemo2

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo2) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta3 release.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Wed, 12 Jan 2011 14:41:30 -0400

## pyside-mobility 0.2.0-0maemo3

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo3) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta4 release.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 31 Jan 2011 09:17:18 -0400

## pyside-mobility 0.2.0-0maemo4

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo4) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta5 release.
  * Fix -dbg package.
  * Add shlibs.local file to ensure proper shared libs are found.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue,  8 Feb 2011 11:35:18 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
-Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 0.5.1), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.5.1), python-pyside (>= 0.4.2), libpyside-dev (>= 0.4.0)
+Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.0-2maemo1~beta5), generatorrunner (>= 0.6.5-1maemo1), libshiboken-dev (>= 1.0.0-2maemo1~beta5), python-pyside (>= 1.0.0~beta5-1maemo1), libpyside-dev (>= 1.0.0~beta5-1maemo1), python-pyside-dbg (>= 1.0.0~beta5-1maemo1), shiboken-dbg (>= 1.0.0-2maemo1~beta5)
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
 Homepage: http://www.pyside.org/

## pyside-mobility 0.2.0-0maemo6

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo6) unstable; urgency=low

  * Version bump.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Fri, 25 Feb 2011 16:44:00 -0400

pyside-mobility (0.2.0-0maemo5) unstable; urgency=low

  * Version bump.
  * Update shlibs.local.
  * Update build dependencies needed versions.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue, 22 Feb 2011 13:39:56 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
-Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.0-2maemo1~beta5), generatorrunner (>= 0.6.5-1maemo1), libshiboken-dev (>= 1.0.0-2maemo1~beta5), python-pyside (>= 1.0.0~beta5-1maemo1), libpyside-dev (>= 1.0.0~beta5-1maemo1), python-pyside-dbg (>= 1.0.0~beta5-1maemo1), shiboken-dbg (>= 1.0.0-2maemo1~beta5)
+Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.0-2maemo1~rc1), generatorrunner (>= 0.6.6-1maemo1), libshiboken-dev (>= 1.0.0-2maemo1~rc1), python-pyside (>= 1.0.0~rc1-1maemo1), libpyside-dev (>= 1.0.0~rc1-1maemo1), python-pyside-dbg (>= 1.0.0~rc1-1maemo1), shiboken-dbg (>= 1.0.0-2maemo1~rc1)
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
 Homepage: http://www.pyside.org/

## pyside-mobility 0.2.0-0maemo7

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo7) unstable; urgency=low

  * Version bump. 

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 28 Feb 2011 10:44:40 -0400

## pyside-mobility 0.2.0-0maemo8

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo8) unstable; urgency=low

  * Version bump.
  * Update shlibs.local.
  * Update build dependencies needed versions.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 11 Apr 2011 14:28:30 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
-Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.0-2maemo1~rc1), generatorrunner (>= 0.6.6-1maemo1), libshiboken-dev (>= 1.0.0-2maemo1~rc1), python-pyside (>= 1.0.0~rc1-1maemo1), libpyside-dev (>= 1.0.0~rc1-1maemo1), python-pyside-dbg (>= 1.0.0~rc1-1maemo1), shiboken-dbg (>= 1.0.0-2maemo1~rc1)
+Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.1-1maemo1), generatorrunner (>= 0.6.6-1maemo1), libshiboken-dev (>= 1.0.1-1maemo1), python-pyside (>= 1.0.1-1maemo3), libpyside-dev (>= 1.0.1-1maemo3), python-pyside-dbg (>= 1.0.1-1maemo3), shiboken-dbg (>= 1.0.1-1maemo1)
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
 Homepage: http://www.pyside.org/
